Subject: Re: bug#23014: minor bug with unescaped brace in automake.in

From: Mathieu Lirzin <[email-masked]>
Date: Sun, 16 Jul 2017 12:45:53 +0200

Hello,

George Demmy <[email-masked]> writes:

> I was running automake in the course of building a project and the error:
>
> $ automake --version
> Unescaped left brace in regex is deprecated, passed through in regex;
> marked by <-- HERE in m/\${ <-- HERE ([^ \t=:+{}]+)}/ at
> /usr/bin/automake-1.14 line 3930.
> automake (GNU automake) 1.14.1
>
> Apparently, the Perl crew is going to get progressively tougher with
> their enforcement of their regex syntax. I checked out the sources
> from savannah's git and made a patch off of my local branch off
> master, the content of which I'll just cut and paste rather than
> attach. It's pretty simple...

This has been fixed in Automake 1.15.1

Thanks for the bug report.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37